# Class AttributeEntry

java.lang.Object
org.nexusformat.AttributeEntry

public class AttributeEntry extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int[]`
`dim`
length is the length of the attribute.
`int`
`length`
length is the length of the attribute.
`int`
`type`
length is the length of the attribute.

## Constructor Summary

Constructors
Constructor
Description
`AttributeEntry()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### length

public int length
length is the length of the attribute. type is the number type of the attribute.

### type

public int type
length is the length of the attribute. type is the number type of the attribute.

### dim

public int[] dim
length is the length of the attribute. type is the number type of the attribute.

## Constructor Details

### AttributeEntry

public AttributeEntry()